# include <stdio.h>

main (int argc, char **argv) {

  int i;
  char line[1024];

  for (i = 0; i <= argc; i++) {
    fprintf (stderr, "arg %2d: %s\n", i, argv[i]);
  }
  while (argv[i] != NULL) {
    fprintf (stderr, "env %2d: %s\n", i, argv[i]);
    i++;
  } 
  while (fscanf (stdin, "%s", line) != EOF) {
    fprintf (stderr, "line: ...%s...\n", line);
  }
}
